curl --request GET \
--url https://api.projectdiscovery.io/v1/asset/enumerate/contents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.projectdiscovery.io/v1/asset/enumerate/contents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/asset/enumerate/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"enumeration_id": "<string>",
"name": "<string>",
"created_at": "<string>",
"id": 123,
"is_new": true,
"updated_at": "<string>",
"labels": [
"<string>"
],
"cname": [
"<string>"
],
"host": "<string>",
"port": 123,
"ip": [
"<string>"
],
"status_code": 123,
"content_length": 123,
"vulnerabilities": 123,
"title": "<string>",
"technologies": [
"<string>"
],
"webserver": "<string>",
"method": "<string>",
"type": "<string>",
"asset_hash": "<string>",
"technology_details": {},
"screenshot_path": "<string>",
"favicon": "<string>",
"favicon_body": "<string>",
"cdn_name": "<string>",
"chain_status_codes": [
"<string>"
],
"domain_name": "<string>",
"redirect_location": "<string>",
"asn": {
"as_country": "<string>",
"as_name": "<string>",
"as_number": "<string>",
"as_range": [
"<string>"
]
},
"tls_serial_number": "<string>",
"tls_subject_org": "<string>",
"tls_issuer_org": "<string>",
"tls_expired": true,
"tls_not_before": "2023-11-07T05:31:56Z",
"tls_self_signed": true,
"tls_mismatched": true,
"tls_revoked": true,
"tls_untrusted": true,
"tls_subject_cn": "<string>",
"tls_subject_an": [
"<string>"
],
"body": "<string>",
"tls_not_after": "2023-11-07T05:31:56Z",
"enumeration_name": "<string>",
"extended_metadata": {},
"source_type": "<string>",
"source": [
{
"source": "<string>",
"metadata": {}
}
],
"is_internal": true
}
]
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Get All Enumeration Contents
Get All enumeration content
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Query Parameters
The number of items to skip before starting to collect the result set
time filter to select
last_day, last_week, last_month, last_3_months, last_6_months, last_12_months, all_time The numbers of items to return
Return records that have technologies
Return the records that have favicon
Search on the content name
Filter by comma separated labels, e.g-> labels=p1,p2
Filter by new content
Filter by comma separated labels, e.g-> host=p1,p2
Filter by port separated labels, e.g-> port=p1,p2
Filter by status code separated labels, e.g-> status_code=p1,p2
Filter by title separated labels, e.g-> title=p1,p2
Filter by content length separated labels, e.g-> content_length=p1,p2
Filter by domain names separated labels, e.g-> domain=domain1.com,domain2.com
cname to filter
technologies to filter
ips to filter
comma separated ascending sorting e.g sort_asc=created_at,name
comma separated descending sorting e.g sort_desc=created_at,name
custom query to filter. double encode the query string.
asset with screenshots
Filter by comma separated favicons, e.g-> favicon=p1,p2
Query only dns FQDN records
Query only dns IP records
filter by is_internal (internal vs external hosts)
Return assets that haven't been seen in the last N days. An asset is only included if a scan that covers it has run during that period without rediscovering it, so assets that simply haven't been rescanned recently are not matched.
x >= 1Was this page helpful?